=== debian/changelog ===
kf5-messagelib (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:35:32 +0000

kf5-messagelib (4:23.08.5-0ubuntu3) noble; urgency=medium

  * Rename libraries for 64-bit time_t transition.  Closes: #1062486

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 22 Mar 2024 16:19:02 +0100

kf5-messagelib (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:56:06 +0000

kf5-messagelib (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:28:20 -0700
